@import "../../styles/util.mixins.scss", "../../styles//setting.colors.scss";

html.yith-quick-view-is-open,
html.yith-quick-view-is-open body {
  overflow: hidden;
}

.yith-wcqv-main {
  #yith-quick-view-close {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    text-indent: -9999px;
    overflow: hidden;
    border: 3px solid #db1037;
    color: inherit;

    &::before {
      content: "\f00d";
      font-family: "FontAwesome";
      position: absolute;
      left: 0;
      width: 100%;
      text-indent: 0;
      line-height: 25px;
      font-size: 22px;
      display: block;
      text-align: center !important;
      padding: 0;
    }
  }

  .product-overview {
    padding: 30px;
    position: relative;
  }

  .onsale {
    position: absolute;
    top: 10px;
    font-size: 13px;
    font-size: 0.8125em;
    left: -10px;
    background-color: #db1037;
    color: white;
    text-transform: uppercase;
    padding: 3px 10px;
    border-radius: 3px;
  }

  .images {
    width: 40%;
    padding-right: 30px;

    img {
      width: 100%;
      max-width: 100%;
      height: auto;
    }
  }

  .product_meta {
    padding-top: 10px;

    > span {
      display: inline-block;
      margin-right: 20px;
      color: $heading-color;

      * {
        color: $detail-color;
      }
    }
  }
}
#yith-quick-view-modal {
  position: fixed;
  visibility: hidden;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1400;
  opacity: 0;
  text-align: center;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
}

#yith-quick-view-modal:before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
  width: 0;
}

#yith-quick-view-modal .yith-quick-view-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
}

#yith-quick-view-modal .yith-wcqv-wrapper {
  display: inline-block;
  vertical-align: middle;
  visibility: hidden;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
  text-align: left;
  height: 80%;
  width: 80%;
  max-width: 1000px;
  max-height: 600px;
}

#yith-quick-view-modal .yith-wcqv-main {
  -webkit-transform: translateY(20%);
  -moz-transform: translateY(20%);
  -ms-transform: translateY(20%);
  transform: translateY(20%);
  opacity: 0;
  height: 100%;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
  -webkit-box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.2);
  box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.2);
}

#yith-quick-view-modal.open,
#yith-quick-view-modal.open .yith-wcqv-wrapper {
  visibility: visible;
  opacity: 1;
}

#yith-quick-view-modal #yith-quick-view-content {
  height: 100%;
}

#yith-quick-view-modal .yith-wcqv-main:after,
#yith-quick-view-modal .yith-wcqv-main:before {
  content: "";
  display: table;
  clear: both;
}
#yith-quick-view-modal.open .yith-wcqv-main {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  transform: translateY(0);
  opacity: 1;
  height: 100%;
  overflow-y: scroll;
  position: relative;
}
#yith-quick-view-close {
  border: 1px solid;
  position: absolute;
  top: 5px;
  right: 5px;
  width: 20px;
  height: 20px;
  text-align: center;
  line-height: 18px;
  z-index: 2;
  opacity: 0.5;
}
#yith-quick-view-close:hover {
  opacity: 1;
  transition: all 0.2s ease;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -ms-transition: all 0.2s ease;
}
#yith-quick-view-content div.images {
  width: 40%;
  float: left;
  opacity: 1 !important;
  margin: 0;
}
#yith-quick-view-content div.summary {
  margin: 0;
  padding: 15px;
  width: 60%;
  float: left;
}
#yith-quick-view-content div.woocommerce-product-rating:after,
#yith-quick-view-content div.woocommerce-product-rating:before {
  content: "";
  display: table;
  clear: both;
}
#yith-quick-view-content
  div.woocommerce-product-rating
  a.woocommerce-review-link {
  display: none;
}
#yith-quick-view-content .onsale {
  top: 5px;
  right: auto;
  left: 5px;
  z-index: 99;
}

li.product .yith-wcqv-button .blockUI.blockOverlay:before {
  background: none;
}

#yith-quick-view-modal .yith-wcqv-main {
  background: #ffffff;
}
#yith-quick-view-close {
  color: #cdcdcd;
}
#yith-quick-view-close:hover {
  color: #ff0000;
}

.variations_form.cart
  .single_variation_wrap
  .woocommerce-variation-add-to-cart {
  button[type="submit"],
  .quantity {
    margin-top: 16px;
  }
}

@media (max-width: 992px) {
  #yith-quick-view-content div.images {
    .woocommerce-product-gallery__wrapper {
      margin: 0;
    }
  }

  #yith-quick-view-content .product-overview__summary {
    display: block;
    float: none;
    width: 100%;
    padding-left: 0;
  }
}

@media (max-width: 768px) {
  #yith-quick-view-content div.images {
    width: 100%;
    padding-bottom: 20px;
  }

  #yith-quick-view-content .product__title {
    font-size: 2em;
  }
}

@media (max-width: 480px) {
  #yith-quick-view-content div.summary {
    margin: 0;
    padding: 15px;
    width: 100%;
    float: left;
  }

  #yith-quick-view-content div.images {
    padding-right: 0;
  }
}
